<?php

namespace NineDotMedia\viapost-php;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetSystemID' => '\\NineDotMedia\\viapost-php\\Struct\\GetSystemID',
            'GetSystemIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetSystemIDResponse',
            'CreateLetterFromXPS' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetterFromXPS',
            'CreateLetterFromXPSResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetterFromXPSResponse',
            'GetDocumentPageCountRange' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentPageCountRange',
            'GetDocumentPageCountRangeResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentPageCountRangeResponse',
            'SendDriverMailingConfirmation' => '\\NineDotMedia\\viapost-php\\Struct\\SendDriverMailingConfirmation',
            'SendDriverMailingConfirmationResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendDriverMailingConfirmationResponse',
            'GetLibraryInserts' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryInserts',
            'ArrayOfAnyType' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfAnyType',
            'APILetter' => '\\NineDotMedia\\viapost-php\\Struct\\APILetter',
            'ReservedArea' => '\\NineDotMedia\\viapost-php\\Struct\\ReservedArea',
            'RectangleF' => '\\NineDotMedia\\viapost-php\\Struct\\RectangleF',
            'PointF' => '\\NineDotMedia\\viapost-php\\Struct\\PointF',
            'SizeF' => '\\NineDotMedia\\viapost-php\\Struct\\SizeF',
            'DocumentHistory' => '\\NineDotMedia\\viapost-php\\Struct\\DocumentHistory',
            'JobRun' => '\\NineDotMedia\\viapost-php\\Struct\\JobRun',
            'Document' => '\\NineDotMedia\\viapost-php\\Struct\\Document',
            'UserVariable' => '\\NineDotMedia\\viapost-php\\Struct\\UserVariable',
            'DataList' => '\\NineDotMedia\\viapost-php\\Struct\\DataList',
            'Mapping' => '\\NineDotMedia\\viapost-php\\Struct\\Mapping',
            'ArrayOfString' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfString',
            'ArrayOfMergeField' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfMergeField',
            'MergeField' => '\\NineDotMedia\\viapost-php\\Struct\\MergeField',
            'Attachment' => '\\NineDotMedia\\viapost-php\\Struct\\Attachment',
            'Letterhead' => '\\NineDotMedia\\viapost-php\\Struct\\Letterhead',
            'Postcard' => '\\NineDotMedia\\viapost-php\\Struct\\Postcard',
            'MailPack' => '\\NineDotMedia\\viapost-php\\Struct\\MailPack',
            'CostCentre' => '\\NineDotMedia\\viapost-php\\Struct\\CostCentre',
            'Insert' => '\\NineDotMedia\\viapost-php\\Struct\\Insert',
            'GetLibraryInsertsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryInsertsResponse',
            'GetCostCentres' => '\\NineDotMedia\\viapost-php\\Struct\\GetCostCentres',
            'GetCostCentresResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetCostCentresResponse',
            'GenerateMappingWithDefaultNameAndMergeFields' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameAndMergeFields',
            'GenerateMappingWithDefaultNameAndMergeFieldsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsResponse',
            'GenerateMappingWithID' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithID',
            'GenerateMappingWithIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithIDResponse',
            'GenerateMappingWithDefaultNameWithID' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameWithID',
            'GenerateMappingWithDefaultNameWithIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameWithIDResponse',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithID' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsWithID',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse',
            'CreateAttachment' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAttachment',
            'CreateAttachmentResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAttachmentResponse',
            'CreateLetterhead' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetterhead',
            'CreateLetterheadResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetterheadResponse',
            'CreateLetter' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetter',
            'CreateLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateLetterResponse',
            'CreateMailPack' => '\\NineDotMedia\\viapost-php\\Struct\\CreateMailPack',
            'ArrayOfLong' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfLong',
            'CreateMailPackResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateMailPackResponse',
            'DeleteMailPack' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMailPack',
            'DeleteMailPackResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMailPackResponse',
            'SendMailPack' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPack',
            'SendMailPackResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackResponse',
            'SendMailPackToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToFindNearest',
            'SendMailPackToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToFindNearestResponse',
            'CreateAndSendMailPack' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPack',
            'CreateAndSendMailPackResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPackResponse',
            'SendMailPackToSingleAddress2' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToSingleAddress2',
            'ArrayOfArrayOfString' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfArrayOfString',
            'SendMailPackToSingleAddress2Response' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToSingleAddress2Response',
            'SendMailPackToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToSingleAddress',
            'SendMailPackToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendMailPackToSingleAddressResponse',
            'CreateAndSendMailPackToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPackToSingleAddress',
            'CreateAndSendMailPackToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPackToSingleAddressResponse',
            'SendSimpleMailing' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailing',
            'SendSimpleMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailingResponse',
            'SendSimpleMailingToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailingToFindNearest',
            'SendSimpleMailingToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailingToFindNearestResponse',
            'CreateAndSendSimpleMailingToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailingToFindNearest',
            'CreateAndSendSimpleMailingToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailingToFindNearestResponse',
            'SendSimpleMailingToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailingToSingleAddress',
            'SendSimpleMailingToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendSimpleMailingToSingleAddressResponse',
            'CreateAndSendSimpleMailing' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailing',
            'CreateAndSendSimpleMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailingResponse',
            'CreateAndSendSimpleMailingToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailingToSingleAddress',
            'CreateAndSendSimpleMailingToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendSimpleMailingToSingleAddressResponse',
            'CreateAndSendMailPackToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPackToFindNearest',
            'CreateAndSendMailPackToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendMailPackToFindNearestResponse',
            'AddExcludedAddress' => '\\NineDotMedia\\viapost-php\\Struct\\AddExcludedAddress',
            'AddExcludedAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AddExcludedAddressResponse',
            'GetExcludedAddresses' => '\\NineDotMedia\\viapost-php\\Struct\\GetExcludedAddresses',
            'GetExcludedAddressesResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetExcludedAddressesResponse',
            'DeleteExcludedAddressByID' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteExcludedAddressByID',
            'DeleteExcludedAddressByIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteExcludedAddressByIDResponse',
            'FindNearestQueryAddress' => '\\NineDotMedia\\viapost-php\\Struct\\FindNearestQueryAddress',
            'FindNearestQueryAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\FindNearestQueryAddressResponse',
            'FindNearestExecuteSearch' => '\\NineDotMedia\\viapost-php\\Struct\\FindNearestExecuteSearch',
            'FindNearestExecuteSearchResponse' => '\\NineDotMedia\\viapost-php\\Struct\\FindNearestExecuteSearchResponse',
            'UpdateLetter' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateLetter',
            'UpdateLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateLetterResponse',
            'UpdateMailPackLetter' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateMailPackLetter',
            'UpdateMailPackLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateMailPackLetterResponse',
            'UpdateMailPackTemplate' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateMailPackTemplate',
            'UpdateMailPackTemplateResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UpdateMailPackTemplateResponse',
            'GetMailPacks' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailPacks',
            'GetMailPacksResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailPacksResponse',
            'GetLibraryMailPacks' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryMailPacks',
            'GetLibraryMailPacksResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryMailPacksResponse',
            'CreatePostcard' => '\\NineDotMedia\\viapost-php\\Struct\\CreatePostcard',
            'CreatePostcardResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreatePostcardResponse',
            'GetLibraryPostcards' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryPostcards',
            'GetLibraryPostcardsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryPostcardsResponse',
            'PreviewLibraryPostcard' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryPostcard',
            'PreviewLibraryPostcardResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryPostcardResponse',
            'SendPostcardToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcardToSingleAddress',
            'SendPostcardToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcardToSingleAddressResponse',
            'SendPostcard' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcard',
            'SendPostcardResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcardResponse',
            'SendPostcardToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcardToFindNearest',
            'SendPostcardToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendPostcardToFindNearestResponse',
            'CreateAndSendPostcardToSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcardToSingleAddress',
            'CreateAndSendPostcardToSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcardToSingleAddressResponse',
            'CreateAndSendPostcard' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcard',
            'CreateAndSendPostcardResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcardResponse',
            'CreateAndSendPostcardToFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcardToFindNearest',
            'CreateAndSendPostcardToFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAndSendPostcardToFindNearestResponse',
            'CalculateCostOfSingleAddressMailing' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfSingleAddressMailing',
            'CalculateCostOfSingleAddressMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfSingleAddressMailingResponse',
            'CalculateCostOfMailing' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfMailing',
            'CalculateCostOfMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfMailingResponse',
            'CalculateCostOfFindNearestMailing' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfFindNearestMailing',
            'CalculateCostOfFindNearestMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfFindNearestMailingResponse',
            'GetLibraryLetterheads' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryLetterheads',
            'GetLibraryLetterheadsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryLetterheadsResponse',
            'GetLibraryAttachments' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryAttachments',
            'GetLibraryAttachmentsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryAttachmentsResponse',
            'PreviewLibraryLetterhead' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryLetterhead',
            'PreviewLibraryLetterheadResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryLetterheadResponse',
            'PreviewLibraryAttachment' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryAttachment',
            'PreviewLibraryAttachmentResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryAttachmentResponse',
            'PreviewDocumentSingleAddress' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentSingleAddress',
            'PreviewDocumentSingleAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentSingleAddressResponse',
            'PreviewDocumentMailingList' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentMailingList',
            'PreviewDocumentMailingListResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentMailingListResponse',
            'PreviewDocumentFindNearest' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentFindNearest',
            'PreviewDocumentFindNearestResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewDocumentFindNearestResponse',
            'GetLibraryMappings' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryMappings',
            'GetLibraryMappingsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryMappingsResponse',
            'GetDataListUrl' => '\\NineDotMedia\\viapost-php\\Struct\\GetDataListUrl',
            'GetDataListUrlResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDataListUrlResponse',
            'DownloadDataList' => '\\NineDotMedia\\viapost-php\\Struct\\DownloadDataList',
            'DownloadDataListResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DownloadDataListResponse',
            'GetDataLists' => '\\NineDotMedia\\viapost-php\\Struct\\GetDataLists',
            'GetDataListsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDataListsResponse',
            'CalculateCostOfDataList' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfDataList',
            'CalculateCostOfDataListResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfDataListResponse',
            'GetUserVariables' => '\\NineDotMedia\\viapost-php\\Struct\\GetUserVariables',
            'GetUserVariablesResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetUserVariablesResponse',
            'GetDocumentation' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentation',
            'GetDocumentationResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentationResponse',
            'GetMailHistoryJobs' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailHistoryJobs',
            'GetMailHistoryJobsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailHistoryJobsResponse',
            'GetMailHistoryDocumentsByJobId' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailHistoryDocumentsByJobId',
            'GetMailHistoryDocumentsByJobIdResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailHistoryDocumentsByJobIdResponse',
            'RetryLetter' => '\\NineDotMedia\\viapost-php\\Struct\\RetryLetter',
            'RetryLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\RetryLetterResponse',
            'GetAddressesForPostcode' => '\\NineDotMedia\\viapost-php\\Struct\\GetAddressesForPostcode',
            'ArrayOfPostalAddress' => '\\NineDotMedia\\viapost-php\\Array\\ArrayOfPostalAddress',
            'PostalAddress' => '\\NineDotMedia\\viapost-php\\Struct\\PostalAddress',
            'GetAddressesForPostcodeResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetAddressesForPostcodeResponse',
            'GetDocumentStickerArea' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentStickerArea',
            'GetDocumentStickerAreaResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentStickerAreaResponse',
            'GetDocumentReservedAreas' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentReservedAreas',
            'GetDocumentReservedAreasResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetDocumentReservedAreasResponse',
            'CalculateCostOfNewMailing' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfNewMailing',
            'CalculateCostOfNewMailingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateCostOfNewMailingResponse',
            'IsFirstClassAvailable' => '\\NineDotMedia\\viapost-php\\Struct\\IsFirstClassAvailable',
            'IsFirstClassAvailableResponse' => '\\NineDotMedia\\viapost-php\\Struct\\IsFirstClassAvailableResponse',
            'GetUserDetails' => '\\NineDotMedia\\viapost-php\\Struct\\GetUserDetails',
            'GetUserDetailsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetUserDetailsResponse',
            'IsValidLoginToken' => '\\NineDotMedia\\viapost-php\\Struct\\IsValidLoginToken',
            'IsValidLoginTokenResponse' => '\\NineDotMedia\\viapost-php\\Struct\\IsValidLoginTokenResponse',
            'ChangePassword' => '\\NineDotMedia\\viapost-php\\Struct\\ChangePassword',
            'ChangePasswordResponse' => '\\NineDotMedia\\viapost-php\\Struct\\ChangePasswordResponse',
            'GetLatestVersionDetails' => '\\NineDotMedia\\viapost-php\\Struct\\GetLatestVersionDetails',
            'GetLatestVersionDetailsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLatestVersionDetailsResponse',
            'GetAccountUrl' => '\\NineDotMedia\\viapost-php\\Struct\\GetAccountUrl',
            'GetAccountUrlResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetAccountUrlResponse',
            'GetPortalUrl' => '\\NineDotMedia\\viapost-php\\Struct\\GetPortalUrl',
            'GetPortalUrlResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetPortalUrlResponse',
            'PreviewLetter' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLetter',
            'PreviewLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLetterResponse',
            'PreviewLibraryLetter' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryLetter',
            'PreviewLibraryLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewLibraryLetterResponse',
            'PreviewMailPack' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewMailPack',
            'PreviewMailPackResponse' => '\\NineDotMedia\\viapost-php\\Struct\\PreviewMailPackResponse',
            'SignIn' => '\\NineDotMedia\\viapost-php\\Struct\\SignIn',
            'SignInResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SignInResponse',
            'UploadDocument' => '\\NineDotMedia\\viapost-php\\Struct\\UploadDocument',
            'UploadDocumentResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UploadDocumentResponse',
            'SearchAddress' => '\\NineDotMedia\\viapost-php\\Struct\\SearchAddress',
            'SearchAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SearchAddressResponse',
            'CreateJobRunRecord' => '\\NineDotMedia\\viapost-php\\Struct\\CreateJobRunRecord',
            'CreateJobRunRecordResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateJobRunRecordResponse',
            'SendLetterWithStructuredAddress' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetterWithStructuredAddress',
            'CustomerAPILetter' => '\\NineDotMedia\\viapost-php\\Struct\\CustomerAPILetter',
            'SendLetterWithStructuredAddressResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetterWithStructuredAddressResponse',
            'SendLetterWithStructuredAddressAndExceptions' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetterWithStructuredAddressAndExceptions',
            'SendLetterWithStructuredAddressAndExceptionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetterWithStructuredAddressAndExceptionsResponse',
            'SendLetter' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetter',
            'SendLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\SendLetterResponse',
            'GetBalance' => '\\NineDotMedia\\viapost-php\\Struct\\GetBalance',
            'GetBalanceResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetBalanceResponse',
            'GetAvailableFunds' => '\\NineDotMedia\\viapost-php\\Struct\\GetAvailableFunds',
            'GetAvailableFundsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetAvailableFundsResponse',
            'GetLetterByID' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterByID',
            'GetLetterByIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterByIDResponse',
            'GetLetters' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetters',
            'GetLettersResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLettersResponse',
            'GetLibraryLetters' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryLetters',
            'GetLibraryLettersResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLibraryLettersResponse',
            'GetMailingLists' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailingLists',
            'GetMailingListsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailingListsResponse',
            'GetMailingListByID' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailingListByID',
            'CustomerAPIMailingList' => '\\NineDotMedia\\viapost-php\\Struct\\CustomerAPIMailingList',
            'GetMailingListByIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMailingListByIDResponse',
            'DeleteMailingList' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMailingList',
            'DeleteMailingListResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMailingListResponse',
            'DeleteMapping' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMapping',
            'DeleteMappingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteMappingResponse',
            'DeleteUserVariable' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteUserVariable',
            'DeleteUserVariableResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteUserVariableResponse',
            'DeleteLetterhead' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterhead',
            'DeleteLetterheadResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterheadResponse',
            'DeleteLetter' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetter',
            'DeleteLetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterResponse',
            'DeleteAttachment' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteAttachment',
            'DeleteAttachmentResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteAttachmentResponse',
            'DeletePostcard' => '\\NineDotMedia\\viapost-php\\Struct\\DeletePostcard',
            'DeletePostcardResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeletePostcardResponse',
            'UploadMailingList' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingList',
            'UploadMailingListResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingListResponse',
            'UploadMailingListWithMapping' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingListWithMapping',
            'UploadMailingListWithMappingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingListWithMappingResponse',
            'UploadMailingListWithMappingAndShare' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingListWithMappingAndShare',
            'UploadMailingListWithMappingAndShareResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UploadMailingListWithMappingAndShareResponse',
            'UploadConsolidatedPDF' => '\\NineDotMedia\\viapost-php\\Struct\\UploadConsolidatedPDF',
            'xmlResults' => '\\NineDotMedia\\viapost-php\\Struct\\XmlResults',
            'UploadConsolidatedPDFResponse' => '\\NineDotMedia\\viapost-php\\Struct\\UploadConsolidatedPDFResponse',
            'MailMerge' => '\\NineDotMedia\\viapost-php\\Struct\\MailMerge',
            'MailMergeResponse' => '\\NineDotMedia\\viapost-php\\Struct\\MailMergeResponse',
            'MailMergeWithExceptionsAndConfirmationEmails' => '\\NineDotMedia\\viapost-php\\Struct\\MailMergeWithExceptionsAndConfirmationEmails',
            'MailMergeWithExceptionsAndConfirmationEmailsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\MailMergeWithExceptionsAndConfirmationEmailsResponse',
            'MailMergeWithExceptions' => '\\NineDotMedia\\viapost-php\\Struct\\MailMergeWithExceptions',
            'MailMergeWithExceptionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\MailMergeWithExceptionsResponse',
            'CreateAccount' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAccount',
            'CreateAccountResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAccountResponse',
            'CreateAccountNonUK' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAccountNonUK',
            'CreateAccountNonUKResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreateAccountNonUKResponse',
            'AddUserToAccount' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccount',
            'AddUserToAccountResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountResponse',
            'AddUserToAccountPermissions' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountPermissions',
            'AddUserToAccountPermissionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountPermissionsResponse',
            'AddUserToAccountNonUK' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountNonUK',
            'AddUserToAccountNonUKResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountNonUKResponse',
            'AddUserToAccountNonUKPermissions' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountNonUKPermissions',
            'AddUserToAccountNonUKPermissionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AddUserToAccountNonUKPermissionsResponse',
            'CalculateLetterCostComplexBatchWithExceptions' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostComplexBatchWithExceptions',
            'MailBatch' => '\\NineDotMedia\\viapost-php\\Struct\\MailBatch',
            'CalculateLetterCostComplexBatchWithExceptionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostComplexBatchWithExceptionsResponse',
            'CalculateLetterCostSimpleBatch' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostSimpleBatch',
            'CalculateLetterCostSimpleBatchResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostSimpleBatchResponse',
            'CalculateLetterCostSimpleBatchWithExceptions' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostSimpleBatchWithExceptions',
            'CalculateLetterCostSimpleBatchWithExceptionsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostSimpleBatchWithExceptionsResponse',
            'CalculateLetterCostComplexBatch' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostComplexBatch',
            'CalculateLetterCostComplexBatchResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateLetterCostComplexBatchResponse',
            'CalculateMailMergeCost' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateMailMergeCost',
            'CalculateMailMergeCostResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateMailMergeCostResponse',
            'CalculateEstimatedDeliveryDate' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateEstimatedDeliveryDate',
            'CalculateEstimatedDeliveryDateResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateEstimatedDeliveryDateResponse',
            'CalculateEstimatedDeliveryDateNow' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateEstimatedDeliveryDateNow',
            'CalculateEstimatedDeliveryDateNowResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateEstimatedDeliveryDateNowResponse',
            'CalculateSendDateForDeliveryDate' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateSendDateForDeliveryDate',
            'CalculateSendDateForDeliveryDateResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CalculateSendDateForDeliveryDateResponse',
            'GetLetterStatusByLetterID' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterStatusByLetterID',
            'GetLetterStatusByLetterIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterStatusByLetterIDResponse',
            'GetLetterStatusByCustomerAPILetter' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterStatusByCustomerAPILetter',
            'GetLetterStatusByCustomerAPILetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetLetterStatusByCustomerAPILetterResponse',
            'DeleteLetterByLetterID' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterByLetterID',
            'DeleteLetterByLetterIDResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterByLetterIDResponse',
            'DeleteLetterByCustomerAPILetter' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterByCustomerAPILetter',
            'DeleteLetterByCustomerAPILetterResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeleteLetterByCustomerAPILetterResponse',
            'CreatePriceBand' => '\\NineDotMedia\\viapost-php\\Struct\\CreatePriceBand',
            'CreatePriceBandResponse' => '\\NineDotMedia\\viapost-php\\Struct\\CreatePriceBandResponse',
            'AssignPriceBand' => '\\NineDotMedia\\viapost-php\\Struct\\AssignPriceBand',
            'AssignPriceBandResponse' => '\\NineDotMedia\\viapost-php\\Struct\\AssignPriceBandResponse',
            'GetPriceBands' => '\\NineDotMedia\\viapost-php\\Struct\\GetPriceBands',
            'GetPriceBandsResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetPriceBandsResponse',
            'DeletePriceBand' => '\\NineDotMedia\\viapost-php\\Struct\\DeletePriceBand',
            'DeletePriceBandResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DeletePriceBandResponse',
            'GetCountries' => '\\NineDotMedia\\viapost-php\\Struct\\GetCountries',
            'GetCountriesResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetCountriesResponse',
            'DisableUser' => '\\NineDotMedia\\viapost-php\\Struct\\DisableUser',
            'DisableUserResponse' => '\\NineDotMedia\\viapost-php\\Struct\\DisableUserResponse',
            'GetMessage' => '\\NineDotMedia\\viapost-php\\Struct\\GetMessage',
            'GetMessageResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GetMessageResponse',
            'GenerateMapping' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMapping',
            'GenerateMappingResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingResponse',
            'GenerateMappingWithDefaultName' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultName',
            'GenerateMappingWithDefaultNameResponse' => '\\NineDotMedia\\viapost-php\\Struct\\GenerateMappingWithDefaultNameResponse',
        );
    }
}
