<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalculateMailMergeCostResponse Struct
 * @subpackage Structs
 */
class CalculateMailMergeCostResponse extends AbstractStructBase
{
    /**
     * The CalculateMailMergeCostResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CalculateMailMergeCostResult;
    /**
     * The dTotalExVAT
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $dTotalExVAT;
    /**
     * The dVAT
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $dVAT;
    /**
     * The iQuantity
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $iQuantity;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for CalculateMailMergeCostResponse
     * @uses CalculateMailMergeCostResponse::setCalculateMailMergeCostResult()
     * @uses CalculateMailMergeCostResponse::setDTotalExVAT()
     * @uses CalculateMailMergeCostResponse::setDVAT()
     * @uses CalculateMailMergeCostResponse::setIQuantity()
     * @uses CalculateMailMergeCostResponse::setSReturnMessage()
     * @param bool $calculateMailMergeCostResult
     * @param float $dTotalExVAT
     * @param float $dVAT
     * @param int $iQuantity
     * @param string $sReturnMessage
     */
    public function __construct($calculateMailMergeCostResult = null, $dTotalExVAT = null, $dVAT = null, $iQuantity = null, $sReturnMessage = null)
    {
        $this
            ->setCalculateMailMergeCostResult($calculateMailMergeCostResult)
            ->setDTotalExVAT($dTotalExVAT)
            ->setDVAT($dVAT)
            ->setIQuantity($iQuantity)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get CalculateMailMergeCostResult value
     * @return bool
     */
    public function getCalculateMailMergeCostResult()
    {
        return $this->CalculateMailMergeCostResult;
    }
    /**
     * Set CalculateMailMergeCostResult value
     * @param bool $calculateMailMergeCostResult
     * @return \NineDotMedia\viapost-php\Struct\CalculateMailMergeCostResponse
     */
    public function setCalculateMailMergeCostResult($calculateMailMergeCostResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($calculateMailMergeCostResult) && !is_bool($calculateMailMergeCostResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($calculateMailMergeCostResult, true), gettype($calculateMailMergeCostResult)), __LINE__);
        }
        $this->CalculateMailMergeCostResult = $calculateMailMergeCostResult;
        return $this;
    }
    /**
     * Get dTotalExVAT value
     * @return float
     */
    public function getDTotalExVAT()
    {
        return $this->dTotalExVAT;
    }
    /**
     * Set dTotalExVAT value
     * @param float $dTotalExVAT
     * @return \NineDotMedia\viapost-php\Struct\CalculateMailMergeCostResponse
     */
    public function setDTotalExVAT($dTotalExVAT = null)
    {
        // validation for constraint: float
        if (!is_null($dTotalExVAT) && !(is_float($dTotalExVAT) || is_numeric($dTotalExVAT))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dTotalExVAT, true), gettype($dTotalExVAT)), __LINE__);
        }
        $this->dTotalExVAT = $dTotalExVAT;
        return $this;
    }
    /**
     * Get dVAT value
     * @return float
     */
    public function getDVAT()
    {
        return $this->dVAT;
    }
    /**
     * Set dVAT value
     * @param float $dVAT
     * @return \NineDotMedia\viapost-php\Struct\CalculateMailMergeCostResponse
     */
    public function setDVAT($dVAT = null)
    {
        // validation for constraint: float
        if (!is_null($dVAT) && !(is_float($dVAT) || is_numeric($dVAT))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($dVAT, true), gettype($dVAT)), __LINE__);
        }
        $this->dVAT = $dVAT;
        return $this;
    }
    /**
     * Get iQuantity value
     * @return int
     */
    public function getIQuantity()
    {
        return $this->iQuantity;
    }
    /**
     * Set iQuantity value
     * @param int $iQuantity
     * @return \NineDotMedia\viapost-php\Struct\CalculateMailMergeCostResponse
     */
    public function setIQuantity($iQuantity = null)
    {
        // validation for constraint: int
        if (!is_null($iQuantity) && !(is_int($iQuantity) || ctype_digit($iQuantity))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($iQuantity, true), gettype($iQuantity)), __LINE__);
        }
        $this->iQuantity = $iQuantity;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \NineDotMedia\viapost-php\Struct\CalculateMailMergeCostResponse
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
