<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateLetterhead Struct
 * @subpackage Structs
 */
class CreateLetterhead extends AbstractStructBase
{
    /**
     * The shareLetterheadWithGroup
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $shareLetterheadWithGroup;
    /**
     * The letterheadID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $letterheadID;
    /**
     * The loginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $loginToken;
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The FileContents
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $FileContents;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CreateLetterhead
     * @uses CreateLetterhead::setShareLetterheadWithGroup()
     * @uses CreateLetterhead::setLetterheadID()
     * @uses CreateLetterhead::setLoginToken()
     * @uses CreateLetterhead::setName()
     * @uses CreateLetterhead::setDescription()
     * @uses CreateLetterhead::setFileContents()
     * @uses CreateLetterhead::setReturnMessage()
     * @param bool $shareLetterheadWithGroup
     * @param int $letterheadID
     * @param string $loginToken
     * @param string $name
     * @param string $description
     * @param string $fileContents
     * @param string $returnMessage
     */
    public function __construct($shareLetterheadWithGroup = null, $letterheadID = null, $loginToken = null, $name = null, $description = null, $fileContents = null, $returnMessage = null)
    {
        $this
            ->setShareLetterheadWithGroup($shareLetterheadWithGroup)
            ->setLetterheadID($letterheadID)
            ->setLoginToken($loginToken)
            ->setName($name)
            ->setDescription($description)
            ->setFileContents($fileContents)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get shareLetterheadWithGroup value
     * @return bool
     */
    public function getShareLetterheadWithGroup()
    {
        return $this->shareLetterheadWithGroup;
    }
    /**
     * Set shareLetterheadWithGroup value
     * @param bool $shareLetterheadWithGroup
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setShareLetterheadWithGroup($shareLetterheadWithGroup = null)
    {
        // validation for constraint: boolean
        if (!is_null($shareLetterheadWithGroup) && !is_bool($shareLetterheadWithGroup)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($shareLetterheadWithGroup, true), gettype($shareLetterheadWithGroup)), __LINE__);
        }
        $this->shareLetterheadWithGroup = $shareLetterheadWithGroup;
        return $this;
    }
    /**
     * Get letterheadID value
     * @return int
     */
    public function getLetterheadID()
    {
        return $this->letterheadID;
    }
    /**
     * Set letterheadID value
     * @param int $letterheadID
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setLetterheadID($letterheadID = null)
    {
        // validation for constraint: int
        if (!is_null($letterheadID) && !(is_int($letterheadID) || ctype_digit($letterheadID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($letterheadID, true), gettype($letterheadID)), __LINE__);
        }
        $this->letterheadID = $letterheadID;
        return $this;
    }
    /**
     * Get loginToken value
     * @return string|null
     */
    public function getLoginToken()
    {
        return $this->loginToken;
    }
    /**
     * Set loginToken value
     * @param string $loginToken
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setLoginToken($loginToken = null)
    {
        // validation for constraint: string
        if (!is_null($loginToken) && !is_string($loginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginToken, true), gettype($loginToken)), __LINE__);
        }
        $this->loginToken = $loginToken;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($name, true), gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($description, true), gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get FileContents value
     * @return string|null
     */
    public function getFileContents()
    {
        return $this->FileContents;
    }
    /**
     * Set FileContents value
     * @param string $fileContents
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setFileContents($fileContents = null)
    {
        // validation for constraint: string
        if (!is_null($fileContents) && !is_string($fileContents)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fileContents, true), gettype($fileContents)), __LINE__);
        }
        $this->FileContents = $fileContents;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\CreateLetterhead
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
