<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreatePostcardResponse Struct
 * @subpackage Structs
 */
class CreatePostcardResponse extends AbstractStructBase
{
    /**
     * The CreatePostcardResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CreatePostcardResult;
    /**
     * The postcardID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $postcardID;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CreatePostcardResponse
     * @uses CreatePostcardResponse::setCreatePostcardResult()
     * @uses CreatePostcardResponse::setPostcardID()
     * @uses CreatePostcardResponse::setReturnMessage()
     * @param bool $createPostcardResult
     * @param int $postcardID
     * @param string $returnMessage
     */
    public function __construct($createPostcardResult = null, $postcardID = null, $returnMessage = null)
    {
        $this
            ->setCreatePostcardResult($createPostcardResult)
            ->setPostcardID($postcardID)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get CreatePostcardResult value
     * @return bool
     */
    public function getCreatePostcardResult()
    {
        return $this->CreatePostcardResult;
    }
    /**
     * Set CreatePostcardResult value
     * @param bool $createPostcardResult
     * @return \NineDotMedia\viapost-php\Struct\CreatePostcardResponse
     */
    public function setCreatePostcardResult($createPostcardResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($createPostcardResult) && !is_bool($createPostcardResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($createPostcardResult, true), gettype($createPostcardResult)), __LINE__);
        }
        $this->CreatePostcardResult = $createPostcardResult;
        return $this;
    }
    /**
     * Get postcardID value
     * @return int
     */
    public function getPostcardID()
    {
        return $this->postcardID;
    }
    /**
     * Set postcardID value
     * @param int $postcardID
     * @return \NineDotMedia\viapost-php\Struct\CreatePostcardResponse
     */
    public function setPostcardID($postcardID = null)
    {
        // validation for constraint: int
        if (!is_null($postcardID) && !(is_int($postcardID) || ctype_digit($postcardID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($postcardID, true), gettype($postcardID)), __LINE__);
        }
        $this->postcardID = $postcardID;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\CreatePostcardResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
