<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DeleteLetterhead Struct
 * @subpackage Structs
 */
class DeleteLetterhead extends AbstractStructBase
{
    /**
     * The letterheadID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $letterheadID;
    /**
     * The sLoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLoginToken;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for DeleteLetterhead
     * @uses DeleteLetterhead::setLetterheadID()
     * @uses DeleteLetterhead::setSLoginToken()
     * @uses DeleteLetterhead::setSReturnMessage()
     * @param int $letterheadID
     * @param string $sLoginToken
     * @param string $sReturnMessage
     */
    public function __construct($letterheadID = null, $sLoginToken = null, $sReturnMessage = null)
    {
        $this
            ->setLetterheadID($letterheadID)
            ->setSLoginToken($sLoginToken)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get letterheadID value
     * @return int
     */
    public function getLetterheadID()
    {
        return $this->letterheadID;
    }
    /**
     * Set letterheadID value
     * @param int $letterheadID
     * @return \NineDotMedia\viapost-php\Struct\DeleteLetterhead
     */
    public function setLetterheadID($letterheadID = null)
    {
        // validation for constraint: int
        if (!is_null($letterheadID) && !(is_int($letterheadID) || ctype_digit($letterheadID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($letterheadID, true), gettype($letterheadID)), __LINE__);
        }
        $this->letterheadID = $letterheadID;
        return $this;
    }
    /**
     * Get sLoginToken value
     * @return string|null
     */
    public function getSLoginToken()
    {
        return $this->sLoginToken;
    }
    /**
     * Set sLoginToken value
     * @param string $sLoginToken
     * @return \NineDotMedia\viapost-php\Struct\DeleteLetterhead
     */
    public function setSLoginToken($sLoginToken = null)
    {
        // validation for constraint: string
        if (!is_null($sLoginToken) && !is_string($sLoginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sLoginToken, true), gettype($sLoginToken)), __LINE__);
        }
        $this->sLoginToken = $sLoginToken;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \NineDotMedia\viapost-php\Struct\DeleteLetterhead
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
