<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSystemIDResponse Struct
 * @subpackage Structs
 */
class GetSystemIDResponse extends AbstractStructBase
{
    /**
     * The GetSystemIDResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $GetSystemIDResult;
    /**
     * The systemID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $systemID;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for GetSystemIDResponse
     * @uses GetSystemIDResponse::setGetSystemIDResult()
     * @uses GetSystemIDResponse::setSystemID()
     * @uses GetSystemIDResponse::setReturnMessage()
     * @param bool $getSystemIDResult
     * @param string $systemID
     * @param string $returnMessage
     */
    public function __construct($getSystemIDResult = null, $systemID = null, $returnMessage = null)
    {
        $this
            ->setGetSystemIDResult($getSystemIDResult)
            ->setSystemID($systemID)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get GetSystemIDResult value
     * @return bool
     */
    public function getGetSystemIDResult()
    {
        return $this->GetSystemIDResult;
    }
    /**
     * Set GetSystemIDResult value
     * @param bool $getSystemIDResult
     * @return \NineDotMedia\viapost-php\Struct\GetSystemIDResponse
     */
    public function setGetSystemIDResult($getSystemIDResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($getSystemIDResult) && !is_bool($getSystemIDResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($getSystemIDResult, true), gettype($getSystemIDResult)), __LINE__);
        }
        $this->GetSystemIDResult = $getSystemIDResult;
        return $this;
    }
    /**
     * Get systemID value
     * @return string|null
     */
    public function getSystemID()
    {
        return $this->systemID;
    }
    /**
     * Set systemID value
     * @param string $systemID
     * @return \NineDotMedia\viapost-php\Struct\GetSystemIDResponse
     */
    public function setSystemID($systemID = null)
    {
        // validation for constraint: string
        if (!is_null($systemID) && !is_string($systemID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($systemID, true), gettype($systemID)), __LINE__);
        }
        $this->systemID = $systemID;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\GetSystemIDResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
