<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for MailMergeWithExceptions Struct
 * @subpackage Structs
 */
class MailMergeWithExceptions extends AbstractStructBase
{
    /**
     * The useUnmodifiedAddresses
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $useUnmodifiedAddresses;
    /**
     * The useInvalidAddresses
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $useInvalidAddresses;
    /**
     * The sLoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLoginToken;
    /**
     * The myCustomerAPILetter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \NineDotMedia\viapost-php\Struct\CustomerAPILetter
     */
    public $myCustomerAPILetter;
    /**
     * The myCustomerAPIMailingList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \NineDotMedia\viapost-php\Struct\CustomerAPIMailingList
     */
    public $myCustomerAPIMailingList;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for MailMergeWithExceptions
     * @uses MailMergeWithExceptions::setUseUnmodifiedAddresses()
     * @uses MailMergeWithExceptions::setUseInvalidAddresses()
     * @uses MailMergeWithExceptions::setSLoginToken()
     * @uses MailMergeWithExceptions::setMyCustomerAPILetter()
     * @uses MailMergeWithExceptions::setMyCustomerAPIMailingList()
     * @uses MailMergeWithExceptions::setSReturnMessage()
     * @param bool $useUnmodifiedAddresses
     * @param bool $useInvalidAddresses
     * @param string $sLoginToken
     * @param \NineDotMedia\viapost-php\Struct\CustomerAPILetter $myCustomerAPILetter
     * @param \NineDotMedia\viapost-php\Struct\CustomerAPIMailingList $myCustomerAPIMailingList
     * @param string $sReturnMessage
     */
    public function __construct($useUnmodifiedAddresses = null, $useInvalidAddresses = null, $sLoginToken = null, \NineDotMedia\viapost-php\Struct\CustomerAPILetter $myCustomerAPILetter = null, \NineDotMedia\viapost-php\Struct\CustomerAPIMailingList $myCustomerAPIMailingList = null, $sReturnMessage = null)
    {
        $this
            ->setUseUnmodifiedAddresses($useUnmodifiedAddresses)
            ->setUseInvalidAddresses($useInvalidAddresses)
            ->setSLoginToken($sLoginToken)
            ->setMyCustomerAPILetter($myCustomerAPILetter)
            ->setMyCustomerAPIMailingList($myCustomerAPIMailingList)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get useUnmodifiedAddresses value
     * @return bool
     */
    public function getUseUnmodifiedAddresses()
    {
        return $this->useUnmodifiedAddresses;
    }
    /**
     * Set useUnmodifiedAddresses value
     * @param bool $useUnmodifiedAddresses
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setUseUnmodifiedAddresses($useUnmodifiedAddresses = null)
    {
        // validation for constraint: boolean
        if (!is_null($useUnmodifiedAddresses) && !is_bool($useUnmodifiedAddresses)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($useUnmodifiedAddresses, true), gettype($useUnmodifiedAddresses)), __LINE__);
        }
        $this->useUnmodifiedAddresses = $useUnmodifiedAddresses;
        return $this;
    }
    /**
     * Get useInvalidAddresses value
     * @return bool
     */
    public function getUseInvalidAddresses()
    {
        return $this->useInvalidAddresses;
    }
    /**
     * Set useInvalidAddresses value
     * @param bool $useInvalidAddresses
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setUseInvalidAddresses($useInvalidAddresses = null)
    {
        // validation for constraint: boolean
        if (!is_null($useInvalidAddresses) && !is_bool($useInvalidAddresses)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($useInvalidAddresses, true), gettype($useInvalidAddresses)), __LINE__);
        }
        $this->useInvalidAddresses = $useInvalidAddresses;
        return $this;
    }
    /**
     * Get sLoginToken value
     * @return string|null
     */
    public function getSLoginToken()
    {
        return $this->sLoginToken;
    }
    /**
     * Set sLoginToken value
     * @param string $sLoginToken
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setSLoginToken($sLoginToken = null)
    {
        // validation for constraint: string
        if (!is_null($sLoginToken) && !is_string($sLoginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sLoginToken, true), gettype($sLoginToken)), __LINE__);
        }
        $this->sLoginToken = $sLoginToken;
        return $this;
    }
    /**
     * Get myCustomerAPILetter value
     * @return \NineDotMedia\viapost-php\Struct\CustomerAPILetter|null
     */
    public function getMyCustomerAPILetter()
    {
        return $this->myCustomerAPILetter;
    }
    /**
     * Set myCustomerAPILetter value
     * @param \NineDotMedia\viapost-php\Struct\CustomerAPILetter $myCustomerAPILetter
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setMyCustomerAPILetter(\NineDotMedia\viapost-php\Struct\CustomerAPILetter $myCustomerAPILetter = null)
    {
        $this->myCustomerAPILetter = $myCustomerAPILetter;
        return $this;
    }
    /**
     * Get myCustomerAPIMailingList value
     * @return \NineDotMedia\viapost-php\Struct\CustomerAPIMailingList|null
     */
    public function getMyCustomerAPIMailingList()
    {
        return $this->myCustomerAPIMailingList;
    }
    /**
     * Set myCustomerAPIMailingList value
     * @param \NineDotMedia\viapost-php\Struct\CustomerAPIMailingList $myCustomerAPIMailingList
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setMyCustomerAPIMailingList(\NineDotMedia\viapost-php\Struct\CustomerAPIMailingList $myCustomerAPIMailingList = null)
    {
        $this->myCustomerAPIMailingList = $myCustomerAPIMailingList;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \NineDotMedia\viapost-php\Struct\MailMergeWithExceptions
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
