<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PreviewLetterResponse Struct
 * @subpackage Structs
 */
class PreviewLetterResponse extends AbstractStructBase
{
    /**
     * The PreviewLetterResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PreviewLetterResult;
    /**
     * The letterData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $letterData;
    /**
     * The ReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ReturnMessage;
    /**
     * Constructor method for PreviewLetterResponse
     * @uses PreviewLetterResponse::setPreviewLetterResult()
     * @uses PreviewLetterResponse::setLetterData()
     * @uses PreviewLetterResponse::setReturnMessage()
     * @param bool $previewLetterResult
     * @param string $letterData
     * @param string $returnMessage
     */
    public function __construct($previewLetterResult = null, $letterData = null, $returnMessage = null)
    {
        $this
            ->setPreviewLetterResult($previewLetterResult)
            ->setLetterData($letterData)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PreviewLetterResult value
     * @return bool
     */
    public function getPreviewLetterResult()
    {
        return $this->PreviewLetterResult;
    }
    /**
     * Set PreviewLetterResult value
     * @param bool $previewLetterResult
     * @return \NineDotMedia\viapost-php\Struct\PreviewLetterResponse
     */
    public function setPreviewLetterResult($previewLetterResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($previewLetterResult) && !is_bool($previewLetterResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($previewLetterResult, true), gettype($previewLetterResult)), __LINE__);
        }
        $this->PreviewLetterResult = $previewLetterResult;
        return $this;
    }
    /**
     * Get letterData value
     * @return string|null
     */
    public function getLetterData()
    {
        return $this->letterData;
    }
    /**
     * Set letterData value
     * @param string $letterData
     * @return \NineDotMedia\viapost-php\Struct\PreviewLetterResponse
     */
    public function setLetterData($letterData = null)
    {
        // validation for constraint: string
        if (!is_null($letterData) && !is_string($letterData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letterData, true), gettype($letterData)), __LINE__);
        }
        $this->letterData = $letterData;
        return $this;
    }
    /**
     * Get ReturnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->ReturnMessage;
    }
    /**
     * Set ReturnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\PreviewLetterResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->ReturnMessage = $returnMessage;
        return $this;
    }
}
