<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PreviewLibraryAttachmentResponse Struct
 * @subpackage Structs
 */
class PreviewLibraryAttachmentResponse extends AbstractStructBase
{
    /**
     * The PreviewLibraryAttachmentResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PreviewLibraryAttachmentResult;
    /**
     * The attachmentData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $attachmentData;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for PreviewLibraryAttachmentResponse
     * @uses PreviewLibraryAttachmentResponse::setPreviewLibraryAttachmentResult()
     * @uses PreviewLibraryAttachmentResponse::setAttachmentData()
     * @uses PreviewLibraryAttachmentResponse::setReturnMessage()
     * @param bool $previewLibraryAttachmentResult
     * @param string $attachmentData
     * @param string $returnMessage
     */
    public function __construct($previewLibraryAttachmentResult = null, $attachmentData = null, $returnMessage = null)
    {
        $this
            ->setPreviewLibraryAttachmentResult($previewLibraryAttachmentResult)
            ->setAttachmentData($attachmentData)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PreviewLibraryAttachmentResult value
     * @return bool
     */
    public function getPreviewLibraryAttachmentResult()
    {
        return $this->PreviewLibraryAttachmentResult;
    }
    /**
     * Set PreviewLibraryAttachmentResult value
     * @param bool $previewLibraryAttachmentResult
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryAttachmentResponse
     */
    public function setPreviewLibraryAttachmentResult($previewLibraryAttachmentResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($previewLibraryAttachmentResult) && !is_bool($previewLibraryAttachmentResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($previewLibraryAttachmentResult, true), gettype($previewLibraryAttachmentResult)), __LINE__);
        }
        $this->PreviewLibraryAttachmentResult = $previewLibraryAttachmentResult;
        return $this;
    }
    /**
     * Get attachmentData value
     * @return string|null
     */
    public function getAttachmentData()
    {
        return $this->attachmentData;
    }
    /**
     * Set attachmentData value
     * @param string $attachmentData
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryAttachmentResponse
     */
    public function setAttachmentData($attachmentData = null)
    {
        // validation for constraint: string
        if (!is_null($attachmentData) && !is_string($attachmentData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($attachmentData, true), gettype($attachmentData)), __LINE__);
        }
        $this->attachmentData = $attachmentData;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryAttachmentResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
