<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PreviewLibraryLetterResponse Struct
 * @subpackage Structs
 */
class PreviewLibraryLetterResponse extends AbstractStructBase
{
    /**
     * The PreviewLibraryLetterResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PreviewLibraryLetterResult;
    /**
     * The letterData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $letterData;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for PreviewLibraryLetterResponse
     * @uses PreviewLibraryLetterResponse::setPreviewLibraryLetterResult()
     * @uses PreviewLibraryLetterResponse::setLetterData()
     * @uses PreviewLibraryLetterResponse::setReturnMessage()
     * @param bool $previewLibraryLetterResult
     * @param string $letterData
     * @param string $returnMessage
     */
    public function __construct($previewLibraryLetterResult = null, $letterData = null, $returnMessage = null)
    {
        $this
            ->setPreviewLibraryLetterResult($previewLibraryLetterResult)
            ->setLetterData($letterData)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PreviewLibraryLetterResult value
     * @return bool
     */
    public function getPreviewLibraryLetterResult()
    {
        return $this->PreviewLibraryLetterResult;
    }
    /**
     * Set PreviewLibraryLetterResult value
     * @param bool $previewLibraryLetterResult
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryLetterResponse
     */
    public function setPreviewLibraryLetterResult($previewLibraryLetterResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($previewLibraryLetterResult) && !is_bool($previewLibraryLetterResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($previewLibraryLetterResult, true), gettype($previewLibraryLetterResult)), __LINE__);
        }
        $this->PreviewLibraryLetterResult = $previewLibraryLetterResult;
        return $this;
    }
    /**
     * Get letterData value
     * @return string|null
     */
    public function getLetterData()
    {
        return $this->letterData;
    }
    /**
     * Set letterData value
     * @param string $letterData
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryLetterResponse
     */
    public function setLetterData($letterData = null)
    {
        // validation for constraint: string
        if (!is_null($letterData) && !is_string($letterData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letterData, true), gettype($letterData)), __LINE__);
        }
        $this->letterData = $letterData;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\PreviewLibraryLetterResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
