<?php

namespace NineDotMedia\viapost-php\Struct;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendPostcardToSingleAddressResponse Struct
 * @subpackage Structs
 */
class SendPostcardToSingleAddressResponse extends AbstractStructBase
{
    /**
     * The SendPostcardToSingleAddressResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SendPostcardToSingleAddressResult;
    /**
     * The costOfMailing
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var float
     */
    public $costOfMailing;
    /**
     * The numberOfPages
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfPages;
    /**
     * The numberOfSheets
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $numberOfSheets;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for SendPostcardToSingleAddressResponse
     * @uses SendPostcardToSingleAddressResponse::setSendPostcardToSingleAddressResult()
     * @uses SendPostcardToSingleAddressResponse::setCostOfMailing()
     * @uses SendPostcardToSingleAddressResponse::setNumberOfPages()
     * @uses SendPostcardToSingleAddressResponse::setNumberOfSheets()
     * @uses SendPostcardToSingleAddressResponse::setReturnMessage()
     * @param bool $sendPostcardToSingleAddressResult
     * @param float $costOfMailing
     * @param int $numberOfPages
     * @param int $numberOfSheets
     * @param string $returnMessage
     */
    public function __construct($sendPostcardToSingleAddressResult = null, $costOfMailing = null, $numberOfPages = null, $numberOfSheets = null, $returnMessage = null)
    {
        $this
            ->setSendPostcardToSingleAddressResult($sendPostcardToSingleAddressResult)
            ->setCostOfMailing($costOfMailing)
            ->setNumberOfPages($numberOfPages)
            ->setNumberOfSheets($numberOfSheets)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get SendPostcardToSingleAddressResult value
     * @return bool
     */
    public function getSendPostcardToSingleAddressResult()
    {
        return $this->SendPostcardToSingleAddressResult;
    }
    /**
     * Set SendPostcardToSingleAddressResult value
     * @param bool $sendPostcardToSingleAddressResult
     * @return \NineDotMedia\viapost-php\Struct\SendPostcardToSingleAddressResponse
     */
    public function setSendPostcardToSingleAddressResult($sendPostcardToSingleAddressResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($sendPostcardToSingleAddressResult) && !is_bool($sendPostcardToSingleAddressResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($sendPostcardToSingleAddressResult, true), gettype($sendPostcardToSingleAddressResult)), __LINE__);
        }
        $this->SendPostcardToSingleAddressResult = $sendPostcardToSingleAddressResult;
        return $this;
    }
    /**
     * Get costOfMailing value
     * @return float
     */
    public function getCostOfMailing()
    {
        return $this->costOfMailing;
    }
    /**
     * Set costOfMailing value
     * @param float $costOfMailing
     * @return \NineDotMedia\viapost-php\Struct\SendPostcardToSingleAddressResponse
     */
    public function setCostOfMailing($costOfMailing = null)
    {
        // validation for constraint: float
        if (!is_null($costOfMailing) && !(is_float($costOfMailing) || is_numeric($costOfMailing))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a float value, %s given', var_export($costOfMailing, true), gettype($costOfMailing)), __LINE__);
        }
        $this->costOfMailing = $costOfMailing;
        return $this;
    }
    /**
     * Get numberOfPages value
     * @return int
     */
    public function getNumberOfPages()
    {
        return $this->numberOfPages;
    }
    /**
     * Set numberOfPages value
     * @param int $numberOfPages
     * @return \NineDotMedia\viapost-php\Struct\SendPostcardToSingleAddressResponse
     */
    public function setNumberOfPages($numberOfPages = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfPages) && !(is_int($numberOfPages) || ctype_digit($numberOfPages))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfPages, true), gettype($numberOfPages)), __LINE__);
        }
        $this->numberOfPages = $numberOfPages;
        return $this;
    }
    /**
     * Get numberOfSheets value
     * @return int
     */
    public function getNumberOfSheets()
    {
        return $this->numberOfSheets;
    }
    /**
     * Set numberOfSheets value
     * @param int $numberOfSheets
     * @return \NineDotMedia\viapost-php\Struct\SendPostcardToSingleAddressResponse
     */
    public function setNumberOfSheets($numberOfSheets = null)
    {
        // validation for constraint: int
        if (!is_null($numberOfSheets) && !(is_int($numberOfSheets) || ctype_digit($numberOfSheets))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($numberOfSheets, true), gettype($numberOfSheets)), __LINE__);
        }
        $this->numberOfSheets = $numberOfSheets;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \NineDotMedia\viapost-php\Struct\SendPostcardToSingleAddressResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
